CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
booster::locale::utf8_codecvt< CharType > Class Template Reference

Geneneric utf8 codecvt facet, it allows to convert UTF-8 strings to UTF-16 and UTF-32 using wchar_t, char32_t and char16_t. More...

`#include <booster/booster/locale/utf8_codecvt.h>`

Inheritance diagram for booster::locale::utf8_codecvt< CharType >:

## Classes
struct | state_type

## Public Member Functions
| utf8_codecvt (size_t refs=0)

## Static Public Member Functions
static int | max_encoding_length ()
static state_type | initial_state (generic_codecvt_base::initial_convertion_state)
static utf::code_point | to_unicode (state_type &, char const *&begin, char const *end)
static utf::code_point | from_unicode (state_type &, utf::code_point u, char *begin, char const *end)

## Detailed Description

### template<typename CharType>
class booster::locale::utf8_codecvt< CharType >

Geneneric utf8 codecvt facet, it allows to convert UTF-8 strings to UTF-16 and UTF-32 using wchar_t, char32_t and char16_t.

The documentation for this class was generated from the following file:

- booster/locale/utf8_codecvt.h